Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class S3Storage

    java.lang.Object
      com.amazonaws.services.ec2.model.S3Storage

    public class S3Storage

extends Object

Describes the S3 storage destination for a BundleTask when bundling a Windows instance.

Constructor Summary
`S3Storage()`

Method Summary
`String` | `getAWSAccessKeyId()` The Access Key ID of the owner of the Amazon S3 bucket.
`String` | `getBucket()` The bucket in which to store the AMI.
`String` | `getPrefix()` The prefix to use when storing the AMI in S3.
`String` | `getUploadPolicy()` A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.
`String` | `getUploadPolicySignature()` The signature of the Base64 encoded JSON document.
`void` | `setAWSAccessKeyId(String aWSAccessKeyId)` The Access Key ID of the owner of the Amazon S3 bucket.
`void` | `setBucket(String bucket)` The bucket in which to store the AMI.
`void` | `setPrefix(String prefix)` The prefix to use when storing the AMI in S3.
`void` | `setUploadPolicy(String uploadPolicy)` A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.
`void` | `setUploadPolicySignature(String uploadPolicySignature)` The signature of the Base64 encoded JSON document.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`S3Storage` | `withAWSAccessKeyId(String aWSAccessKeyId)` The Access Key ID of the owner of the Amazon S3 bucket.
`S3Storage` | `withBucket(String bucket)` The bucket in which to store the AMI.
`S3Storage` | `withPrefix(String prefix)` The prefix to use when storing the AMI in S3.
`S3Storage` | `withUploadPolicy(String uploadPolicy)` A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.
`S3Storage` | `withUploadPolicySignature(String uploadPolicySignature)` The signature of the Base64 encoded JSON document.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### S3Storage

    public S3Storage()

Method Detail

### getBucket

    public String getBucket()

  The bucket in which to store the AMI. You can specify a bucket that you already own or a new bucket that Amazon EC2 creates on your behalf.

  If you specify a bucket that belongs to someone else, Amazon EC2 returns an error.

  Returns:
    The bucket in which to store the AMI. You can specify a bucket that you already own or a new bucket that Amazon EC2 creates on your behalf.

    If you specify a bucket that belongs to someone else, Amazon EC2 returns an error.

### setBucket

    public void setBucket(String bucket)

  The bucket in which to store the AMI. You can specify a bucket that you already own or a new bucket that Amazon EC2 creates on your behalf.

  If you specify a bucket that belongs to someone else, Amazon EC2 returns an error.

  Parameters:
    `bucket` - The bucket in which to store the AMI. You can specify a bucket that you already own or a new bucket that Amazon EC2 creates on your behalf.

    If you specify a bucket that belongs to someone else, Amazon EC2 returns an error.

### withBucket

    public S3Storage withBucket(String bucket)

  The bucket in which to store the AMI. You can specify a bucket that you already own or a new bucket that Amazon EC2 creates on your behalf.

  If you specify a bucket that belongs to someone else, Amazon EC2 returns an error.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bucket` - The bucket in which to store the AMI. You can specify a bucket that you already own or a new bucket that Amazon EC2 creates on your behalf.

    If you specify a bucket that belongs to someone else, Amazon EC2 returns an error.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPrefix

    public String getPrefix()

  The prefix to use when storing the AMI in S3.

  Returns:
    The prefix to use when storing the AMI in S3.

### setPrefix

    public void setPrefix(String prefix)

  The prefix to use when storing the AMI in S3.

  Parameters:
    `prefix` - The prefix to use when storing the AMI in S3.

### withPrefix

    public S3Storage withPrefix(String prefix)

  The prefix to use when storing the AMI in S3.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `prefix` - The prefix to use when storing the AMI in S3.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAWSAccessKeyId

    public String getAWSAccessKeyId()

  The Access Key ID of the owner of the Amazon S3 bucket.

  Returns:
    The Access Key ID of the owner of the Amazon S3 bucket.

### setAWSAccessKeyId

    public void setAWSAccessKeyId(String aWSAccessKeyId)

  The Access Key ID of the owner of the Amazon S3 bucket.

  Parameters:
    `aWSAccessKeyId` - The Access Key ID of the owner of the Amazon S3 bucket.

### withAWSAccessKeyId

    public S3Storage withAWSAccessKeyId(String aWSAccessKeyId)

  The Access Key ID of the owner of the Amazon S3 bucket.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `aWSAccessKeyId` - The Access Key ID of the owner of the Amazon S3 bucket.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUploadPolicy

    public String getUploadPolicy()

  A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.

  Returns:
    A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.

### setUploadPolicy

    public void setUploadPolicy(String uploadPolicy)

  A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.

  Parameters:
    `uploadPolicy` - A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.

### withUploadPolicy

    public S3Storage withUploadPolicy(String uploadPolicy)

  A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `uploadPolicy` - A Base64-encoded Amazon S3 upload policy that gives Amazon EC2 permission to upload items into Amazon S3 on the user's behalf.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUploadPolicySignature

    public String getUploadPolicySignature()

  The signature of the Base64 encoded JSON document.

  Returns:
    The signature of the Base64 encoded JSON document.

### setUploadPolicySignature

    public void setUploadPolicySignature(String uploadPolicySignature)

  The signature of the Base64 encoded JSON document.

  Parameters:
    `uploadPolicySignature` - The signature of the Base64 encoded JSON document.

### withUploadPolicySignature

    public S3Storage withUploadPolicySignature(String uploadPolicySignature)

  The signature of the Base64 encoded JSON document.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `uploadPolicySignature` - The signature of the Base64 encoded JSON document.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.